Bug 94049 - [PATCH] update nss_ldap port to 1.249. Current 1.244 have many errors
Summary: [PATCH] update nss_ldap port to 1.249. Current 1.244 have many errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey Slusar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-03 13:30 UTC by Dmitriy Kirhlarov
Modified: 2006-03-24 22:52 UTC (History)
0 users

See Also:


Attachments
nss_ldap.249.tar.gz.b64 (4.92 KB, application/octet-stream)
2006-03-03 13:30 UTC, Dmitriy Kirhlarov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitriy Kirhlarov 2006-03-03 13:30:04 UTC
	Current port version 1.244 have many errors (see changelog).
	This patch update port to 1.249 version
	I test it port. It work fine on 5.4-S and 6.0-S
	Patch in base64

How-To-Repeat: 	try this
Comment 1 Edwin Groothuis freebsd_committer 2006-03-03 22:42:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nectar

Over to maintainer
Comment 2 Dmitriy Kirhlarov 2006-03-15 14:51:32 UTC
The same patch in unified diff format:

diff -Nru nss_ldap.orig/Makefile nss_ldap/Makefile
--- nss_ldap.orig/Makefile	Wed Feb  1 13:52:31 2006
+++ nss_ldap/Makefile	Wed Mar 15 17:45:36 2006
@@ -16,7 +16,7 @@
 
 USE_OPENLDAP=	yes
 
-NSS_LDAP_VERSION=244
+NSS_LDAP_VERSION=249
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
diff -Nru nss_ldap.orig/README.html nss_ldap/README.html
--- nss_ldap.orig/README.html	Thu Jan  1 03:00:00 1970
+++ nss_ldap/README.html	Wed Mar 15 17:45:36 2006
@@ -0,0 +1,43 @@
+<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
+
+<html>
+  <head>
+    <title>The FreeBSD Ports Collection (net/nss_ldap)</title>
+  </head>
+
+  <body>
+    <h1>The FreeBSD Ports Collection (net/nss_ldap)</h1>
+    <hr>
+
+    <p>You are now in the directory for the port "net/nss_ldap".</p>
+
+    <p>The package name of this port is "nss_ldap-1.204_1".</p>
+
+    <p>This is the one-line description for this port:</p>
+    <hr>
+
+    <p>
+RFC 2307 NSS module
+    </p>
+    <hr>
+
+    <p>Please read the "<a href="pkg-descr">description file</a>" for a
+    longer description and/or visit the <a href="http://www.padl.com/OSS/nss_ldap.html">web site</a> for futher informations.</p>
+
+    <p>If needed, you may contact the <a href=
+    "mailto:nectar@FreeBSD.org">maintainer</a> of this port or the port <a href=
+    "mailto:ports@FreeBSD.org">mailing-list</a>.</p>
+
+    <p>This port requires package(s) "db3-3.3.11,1 openldap20-2.0.25_4" to build.</p>
+
+    <p>This port requires package(s) "db3-3.3.11,1 openldap20-2.0.25_4" to run.</p>
+
+    <p>Go to the <a href="../../README.html">top of the ports tree</a> for
+    a summary on how to use the ports collection.</p>
+    <hr>
+
+    <p><a href="../README.html">Go up one level</a> | <a href=
+    "../../README.html">Go to top of ports tree</a></p>
+  </body>
+</html>
+
diff -Nru nss_ldap.orig/distinfo nss_ldap/distinfo
--- nss_ldap.orig/distinfo	Fri Dec 30 08:25:00 2005
+++ nss_ldap/distinfo	Wed Mar 15 17:45:36 2006
@@ -1,3 +1,3 @@
-MD5 (nss_ldap-244.tar.gz) = 25c237675cdd0f78e0773aff2c877a51
-SHA256 (nss_ldap-244.tar.gz) = c7730f8b46ca78dca7afd13cc8e60d9dbfb3c71d6fcbbf6ad9806d03465b42c6
-SIZE (nss_ldap-244.tar.gz) = 229667
+MD5 (nss_ldap-249.tar.gz) = 1ce2d14601f94013c8ab15cb0eebc9e7
+SHA256 (nss_ldap-249.tar.gz) = 2733473e2305e48227b4762ba7c14fb0cc6eb717ee2c3165915fb07ece6733e1
+SIZE (nss_ldap-249.tar.gz) = 262800
diff -Nru nss_ldap.orig/files/patch-Makefile.in nss_ldap/files/patch-Makefile.in
--- nss_ldap.orig/files/patch-Makefile.in	Tue Jan 10 11:36:45 2006
+++ nss_ldap/files/patch-Makefile.in	Wed Mar 15 17:45:36 2006
@@ -1,83 +1,133 @@
---- Makefile.in.orig	Mon Dec  5 08:52:20 2005
-+++ Makefile.in	Mon Dec  5 08:56:32 2005
-@@ -82,7 +82,7 @@
+--- Makefile.in.orig	Fri Feb 24 08:02:50 2006
++++ Makefile.in	Thu Mar  2 01:53:39 2006
+@@ -98,16 +98,13 @@
  
  man_MANS = nss_ldap.5
  
--nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-netgrp.c ldap-rpc.c 	ldap-hosts.c ldap-network.c ldap-proto.c ldap-spwd.c 	ldap-alias.c ldap-service.c ldap-schema.c ldap-ethers.c 	ldap-bp.c ldap-automount.c util.c ltf.c snprintf.c resolve.c 	dnsconfig.c irs-nss.c pagectrl.c
-+nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-schema.c util.c ltf.c snprintf.c resolve.c 	dnsconfig.c irs-nss.c pagectrl.c bsdnss.c
- 
- 
- nss_ldap_so_LDFLAGS = @nss_ldap_so_LDFLAGS@
-@@ -90,7 +90,7 @@
- NSS_LDAP_PATH_CONF = @NSS_LDAP_PATH_CONF@
- NSS_LDAP_PATH_ROOTPASSWD = @NSS_LDAP_PATH_ROOTPASSWD@
- 
--NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-netgrp.c ldap-schema.c 	util.c ltf.c snprintf.c resolve.c dnsconfig.c 	irs-nss.c pagectrl.c aix_authmeth.c
-+NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-schema.c 	util.c ltf.c snprintf.c resolve.c dnsconfig.c 	irs-nss.c pagectrl.c aix_authmeth.c bsdnss.c
- 
- 
- NSS_LDAP_LDFLAGS = @NSS_LDAP_LDFLAGS@
-@@ -118,16 +118,16 @@
- CPPFLAGS = @CPPFLAGS@
- LDFLAGS = @LDFLAGS@
- LIBS = @LIBS@
--nss_ldap_so_OBJECTS =  ldap-nss.o ldap-pwd.o ldap-grp.o ldap-netgrp.o \
--ldap-rpc.o ldap-hosts.o ldap-network.o ldap-proto.o ldap-spwd.o \
--ldap-alias.o ldap-service.o ldap-schema.o ldap-ethers.o ldap-bp.o \
--ldap-automount.o util.o ltf.o snprintf.o resolve.o dnsconfig.o \
--irs-nss.o pagectrl.o
-+nss_ldap_so_OBJECTS =  ldap-nss.o ldap-pwd.o ldap-grp.o \
-+	\
-+	ldap-schema.o \
-+	util.o ltf.o snprintf.o resolve.o dnsconfig.o \
-+	irs-nss.o pagectrl.o bsdnss.o
- nss_ldap_so_LDADD = $(LDADD)
- nss_ldap_so_DEPENDENCIES = 
--NSS_LDAP_OBJECTS =  ldap-nss.o ldap-grp.o ldap-pwd.o ldap-netgrp.o \
-+NSS_LDAP_OBJECTS =  ldap-nss.o ldap-grp.o ldap-pwd.o \
- ldap-schema.o util.o ltf.o snprintf.o resolve.o dnsconfig.o irs-nss.o \
--pagectrl.o aix_authmeth.o
-+pagectrl.o aix_authmeth.o bsdnss.o
+-nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-netgrp.c ldap-rpc.c \
+-	ldap-hosts.c ldap-network.c ldap-proto.c ldap-spwd.c \
+-	ldap-alias.c ldap-service.c ldap-schema.c ldap-ethers.c \
+-	ldap-bp.c ldap-automount.c util.c ltf.c snprintf.c resolve.c \
+-	dnsconfig.c irs-nss.c pagectrl.c ldap-sldap.c
+-
++nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c \
++	ldap-schema.c utils.c ltf.c snprintf.c resolve.c \
++	dnsconfig.c irs-nss.c pagectrl.c bsdnss.c
+ 
+ NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-netgrp.c ldap-schema.c \
+ 	util.c ltf.c snprintf.c resolve.c dnsconfig.c \
+-	irs-nss.c pagectrl.c aix_authmeth.c
++	irs-nss.c pagectrl.c aix_authmeth.c bsdnss.c
+ 
+ DEFS = @DEFS@
+ 
+@@ -137,19 +134,15 @@
+ 	ldap-pwd.$(OBJEXT) ldap-netgrp.$(OBJEXT) ldap-schema.$(OBJEXT) \
+ 	util.$(OBJEXT) ltf.$(OBJEXT) snprintf.$(OBJEXT) \
+ 	resolve.$(OBJEXT) dnsconfig.$(OBJEXT) irs-nss.$(OBJEXT) \
+-	pagectrl.$(OBJEXT) aix_authmeth.$(OBJEXT)
++	pagectrl.$(OBJEXT) aix_authmeth.$(OBJEXT) bsdnss.${OBJEXT}
+ NSS_LDAP_OBJECTS = $(am_NSS_LDAP_OBJECTS)
  NSS_LDAP_LDADD = $(LDADD)
- NSS_LDAP_DEPENDENCIES = 
- CFLAGS = @CFLAGS@
-@@ -148,32 +148,18 @@
- TAR = tar
- GZIP_ENV = --best
- DEP_FILES =  .deps/aix_authmeth.P .deps/dnsconfig.P .deps/irs-nss.P \
--.deps/ldap-alias.P .deps/ldap-automount.P .deps/ldap-bp.P \
--.deps/ldap-ethers.P .deps/ldap-grp.P .deps/ldap-hosts.P \
--.deps/ldap-netgrp.P .deps/ldap-network.P .deps/ldap-nss.P \
--.deps/ldap-proto.P .deps/ldap-pwd.P .deps/ldap-rpc.P \
--.deps/ldap-schema.P .deps/ldap-service.P .deps/ldap-spwd.P .deps/ltf.P \
--.deps/pagectrl.P .deps/resolve.P .deps/snprintf.P .deps/util.P
-+.deps/ldap-grp.P \
-+.deps/ldap-nss.P \
-+.deps/ldap-pwd.P \
-+.deps/ldap-schema.P .deps/ltf.P \
-+.deps/pagectrl.P .deps/resolve.P .deps/snprintf.P .deps/util.P \
-+.deps/bsdnss.P
- SOURCES = $(nss_ldap_so_SOURCES) $(NSS_LDAP_SOURCES)
- OBJECTS = $(nss_ldap_so_OBJECTS) $(NSS_LDAP_OBJECTS)
+ NSS_LDAP_DEPENDENCIES =
+ am_nss_ldap_so_OBJECTS = ldap-nss.$(OBJEXT) ldap-pwd.$(OBJEXT) \
+-	ldap-grp.$(OBJEXT) ldap-netgrp.$(OBJEXT) ldap-rpc.$(OBJEXT) \
+-	ldap-hosts.$(OBJEXT) ldap-network.$(OBJEXT) \
+-	ldap-proto.$(OBJEXT) ldap-spwd.$(OBJEXT) ldap-alias.$(OBJEXT) \
+-	ldap-service.$(OBJEXT) ldap-schema.$(OBJEXT) \
+-	ldap-ethers.$(OBJEXT) ldap-bp.$(OBJEXT) \
+-	ldap-automount.$(OBJEXT) util.$(OBJEXT) ltf.$(OBJEXT) \
++	ldap-grp.$(OBJEXT) ldap-schema.$(OBJEXT) \
++	util.$(OBJEXT) ltf.$(OBJEXT) \
+ 	snprintf.$(OBJEXT) resolve.$(OBJEXT) dnsconfig.$(OBJEXT) \
+-	irs-nss.$(OBJEXT) pagectrl.$(OBJEXT) ldap-sldap.$(OBJEXT)
++	irs-nss.$(OBJEXT) pagectrl.$(OBJEXT) bsdnss.$(OBJEXT)
+ nss_ldap_so_OBJECTS = $(am_nss_ldap_so_OBJECTS)
+ nss_ldap_so_LDADD = $(LDADD)
+ nss_ldap_so_DEPENDENCIES =
+@@ -159,17 +152,16 @@
+ LIBS = @LIBS@
+ depcomp = $(SHELL) $(top_srcdir)/depcomp
+ @AMDEP_TRUE@DEP_FILES = $(DEPDIR)/aix_authmeth.Po $(DEPDIR)/dnsconfig.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/irs-nss.Po $(DEPDIR)/ldap-alias.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-automount.Po $(DEPDIR)/ldap-bp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-ethers.Po $(DEPDIR)/ldap-grp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-hosts.Po $(DEPDIR)/ldap-netgrp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-network.Po $(DEPDIR)/ldap-nss.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-proto.Po $(DEPDIR)/ldap-pwd.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-rpc.Po $(DEPDIR)/ldap-schema.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-service.Po $(DEPDIR)/ldap-sldap.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-spwd.Po $(DEPDIR)/ltf.Po \
++@AMDEP_TRUE@	$(DEPDIR)/irs-nss.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-grp.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-nss.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-pwd.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-schema.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-sldap.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ltf.Po \
+ @AMDEP_TRUE@	$(DEPDIR)/pagectrl.Po $(DEPDIR)/resolve.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/snprintf.Po $(DEPDIR)/util.Po
++@AMDEP_TRUE@	$(DEPDIR)/snprintf.Po $(DEPDIR)/util.Po \
++@AMDEP_TRUE@	$(DEPDIR)/bsdnss.Po	
+ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+ 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+ CCLD = $(CC)
+@@ -189,21 +181,21 @@
  
- all: all-redirect
  .SUFFIXES:
- .SUFFIXES: .S .c .o .s
--$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
--	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
--
--Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
--	cd $(top_builddir) \
--	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
+ .SUFFIXES: .c .o .obj
+-$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
+-	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --gnu  Makefile
+-Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
+-	cd $(top_builddir) && \
+-	  CONFIG_HEADERS= CONFIG_LINKS= \
+-	  CONFIG_FILES=$@ $(SHELL) ./config.status
 -
--$(ACLOCAL_M4):  configure.in 
--	cd $(srcdir) && $(ACLOCAL)
--
--config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+-$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 -	$(SHELL) ./config.status --recheck
--$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
+-$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
 -	cd $(srcdir) && $(AUTOCONF)
++#$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
++#	cd $(top_srcdir) && \
++#	  $(AUTOMAKE) --gnu  Makefile
++#Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
++#	cd $(top_builddir) && \
++#	  CONFIG_HEADERS= CONFIG_LINKS= \
++#	  CONFIG_FILES=$@ $(SHELL) ./config.status
++#
++#$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
++#	$(SHELL) ./config.status --recheck
++#$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
++#	cd $(srcdir) && $(AUTOCONF)
  
+-$(ACLOCAL_M4):  configure.in 
+-	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
++#$(ACLOCAL_M4):  configure.in 
++#	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  config.h: stamp-h
  	@if test ! -f $@; then \
+ 		rm -f stamp-h; \
+@@ -248,22 +240,11 @@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/aix_authmeth.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dnsconfig.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/irs-nss.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-alias.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-automount.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-bp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-ethers.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-grp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-hosts.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-netgrp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-network.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-nss.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-proto.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-pwd.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-rpc.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-schema.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-service.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-sldap.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-spwd.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ltf.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pagectrl.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/resolve.Po@am__quote@
diff -Nru nss_ldap.orig/files/patch-configure nss_ldap/files/patch-configure
--- nss_ldap.orig/files/patch-configure	Mon Sep 26 12:58:40 2005
+++ nss_ldap/files/patch-configure	Wed Mar 15 17:45:36 2006
@@ -1,49 +1,123 @@
---- configure.orig	Thu Jun 30 21:33:41 2005
-+++ configure	Thu Jun 30 21:49:20 2005
-@@ -1695,6 +1695,46 @@
- fi
+--- configure.orig	Fri Feb 24 08:02:50 2006
++++ configure	Thu Mar  2 02:34:29 2006
+@@ -3884,120 +3884,6 @@
  done
-  ;;
-+  freebsd*) for ac_hdr in nss.h
-+do
-+ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
-+echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-+echo "configure:1663: checking for $ac_hdr" >&5
-+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
-+  echo $ac_n "(cached) $ac_c" 1>&6
-+else
-+  cat > conftest.$ac_ext <<EOF
-+#line 1668 "configure"
-+#include "confdefs.h"
-+#include <$ac_hdr>
-+EOF
-+ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-+{ (eval echo configure:1673: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
-+ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
-+if test -z "$ac_err"; then
-+  rm -rf conftest*
-+  eval "ac_cv_header_$ac_safe=yes"
-+else
-+  echo "$ac_err" >&5
-+  echo "configure: failed program was:" >&5
-+  cat conftest.$ac_ext >&5
-+  rm -rf conftest*
-+  eval "ac_cv_header_$ac_safe=no"
-+fi
-+rm -f conftest*
-+fi
-+if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
-+  echo "$ac_t""yes" 1>&6
-+    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
-+  cat >> confdefs.h <<EOF
-+#define $ac_tr_hdr 1
-+EOF
-+ 
-+else
-+  echo "$ac_t""no" 1>&6
-+fi
-+done
-+ ;;
-   *) for ac_hdr in nss.h
+ 
+ 
+-for ac_header in nsswitch.h
+-do
+-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo "$as_me:$LINENO: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-fi
+-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-else
+-  # Is the header compilable?
+-echo "$as_me:$LINENO: checking $ac_header usability" >&5
+-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+-cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-$ac_includes_default
+-#include <$ac_header>
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+-  (eval $ac_compile) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-         { ac_try='test -s conftest.$ac_objext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  ac_header_compiler=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-ac_header_compiler=no
+-fi
+-rm -f conftest.$ac_objext conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+-echo "${ECHO_T}$ac_header_compiler" >&6
+-
+-# Is the header present?
+-echo "$as_me:$LINENO: checking $ac_header presence" >&5
+-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+-cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-#include <$ac_header>
+-_ACEOF
+-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+-  ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } >/dev/null; then
+-  if test -s conftest.err; then
+-    ac_cpp_err=$ac_c_preproc_warn_flag
+-  else
+-    ac_cpp_err=
+-  fi
+-else
+-  ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
+-  ac_header_preproc=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
+-  ac_header_preproc=no
+-fi
+-rm -f conftest.err conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+-echo "${ECHO_T}$ac_header_preproc" >&6
+-
+-# So?  What about this header?
+-case $ac_header_compiler:$ac_header_preproc in
+-  yes:no )
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+-  no:yes )
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+-esac
+-echo "$as_me:$LINENO: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  eval "$as_ac_Header=$ac_header_preproc"
+-fi
+-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-
+-fi
+-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+-  cat >>confdefs.h <<_ACEOF
+-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+-_ACEOF
+-
+-fi
+-
+-done
+-
+-
+ for ac_header in irs.h
  do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`

WBR
-- 
Dmitriy Kirhlarov
OILspace, 26 Leninskaya sloboda, bld. 2, 2nd floor, 115280 Moscow, Russia
P:+7 495 105 7247 ext.203 F:+7 495 105 7246 E:DmitriyKirhlarov@oilspace.com
OILspace - The resource enriched - www.oilspace.com
Comment 3 Dmitriy Kirhlarov 2006-03-15 15:51:56 UTC
Oops..
sorry for previously post -- forget remove README.html.
final patch:

diff -Nru nss_ldap.orig/Makefile nss_ldap/Makefile
--- nss_ldap.orig/Makefile	Wed Feb  1 13:52:31 2006
+++ nss_ldap/Makefile	Wed Mar 15 17:45:36 2006
@@ -16,7 +16,7 @@
 
 USE_OPENLDAP=	yes
 
-NSS_LDAP_VERSION=244
+NSS_LDAP_VERSION=249
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
diff -Nru nss_ldap.orig/distinfo nss_ldap/distinfo
--- nss_ldap.orig/distinfo	Fri Dec 30 08:25:00 2005
+++ nss_ldap/distinfo	Wed Mar 15 17:45:36 2006
@@ -1,3 +1,3 @@
-MD5 (nss_ldap-244.tar.gz) = 25c237675cdd0f78e0773aff2c877a51
-SHA256 (nss_ldap-244.tar.gz) = c7730f8b46ca78dca7afd13cc8e60d9dbfb3c71d6fcbbf6ad9806d03465b42c6
-SIZE (nss_ldap-244.tar.gz) = 229667
+MD5 (nss_ldap-249.tar.gz) = 1ce2d14601f94013c8ab15cb0eebc9e7
+SHA256 (nss_ldap-249.tar.gz) = 2733473e2305e48227b4762ba7c14fb0cc6eb717ee2c3165915fb07ece6733e1
+SIZE (nss_ldap-249.tar.gz) = 262800
diff -Nru nss_ldap.orig/files/patch-Makefile.in nss_ldap/files/patch-Makefile.in
--- nss_ldap.orig/files/patch-Makefile.in	Tue Jan 10 11:36:45 2006
+++ nss_ldap/files/patch-Makefile.in	Wed Mar 15 17:45:36 2006
@@ -1,83 +1,133 @@
---- Makefile.in.orig	Mon Dec  5 08:52:20 2005
-+++ Makefile.in	Mon Dec  5 08:56:32 2005
-@@ -82,7 +82,7 @@
+--- Makefile.in.orig	Fri Feb 24 08:02:50 2006
++++ Makefile.in	Thu Mar  2 01:53:39 2006
+@@ -98,16 +98,13 @@
  
  man_MANS = nss_ldap.5
  
--nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-netgrp.c ldap-rpc.c 	ldap-hosts.c ldap-network.c ldap-proto.c ldap-spwd.c 	ldap-alias.c ldap-service.c ldap-schema.c ldap-ethers.c 	ldap-bp.c ldap-automount.c util.c ltf.c snprintf.c resolve.c 	dnsconfig.c irs-nss.c pagectrl.c
-+nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-schema.c util.c ltf.c snprintf.c resolve.c 	dnsconfig.c irs-nss.c pagectrl.c bsdnss.c
- 
- 
- nss_ldap_so_LDFLAGS = @nss_ldap_so_LDFLAGS@
-@@ -90,7 +90,7 @@
- NSS_LDAP_PATH_CONF = @NSS_LDAP_PATH_CONF@
- NSS_LDAP_PATH_ROOTPASSWD = @NSS_LDAP_PATH_ROOTPASSWD@
- 
--NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-netgrp.c ldap-schema.c 	util.c ltf.c snprintf.c resolve.c dnsconfig.c 	irs-nss.c pagectrl.c aix_authmeth.c
-+NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-schema.c 	util.c ltf.c snprintf.c resolve.c dnsconfig.c 	irs-nss.c pagectrl.c aix_authmeth.c bsdnss.c
- 
- 
- NSS_LDAP_LDFLAGS = @NSS_LDAP_LDFLAGS@
-@@ -118,16 +118,16 @@
- CPPFLAGS = @CPPFLAGS@
- LDFLAGS = @LDFLAGS@
- LIBS = @LIBS@
--nss_ldap_so_OBJECTS =  ldap-nss.o ldap-pwd.o ldap-grp.o ldap-netgrp.o \
--ldap-rpc.o ldap-hosts.o ldap-network.o ldap-proto.o ldap-spwd.o \
--ldap-alias.o ldap-service.o ldap-schema.o ldap-ethers.o ldap-bp.o \
--ldap-automount.o util.o ltf.o snprintf.o resolve.o dnsconfig.o \
--irs-nss.o pagectrl.o
-+nss_ldap_so_OBJECTS =  ldap-nss.o ldap-pwd.o ldap-grp.o \
-+	\
-+	ldap-schema.o \
-+	util.o ltf.o snprintf.o resolve.o dnsconfig.o \
-+	irs-nss.o pagectrl.o bsdnss.o
- nss_ldap_so_LDADD = $(LDADD)
- nss_ldap_so_DEPENDENCIES = 
--NSS_LDAP_OBJECTS =  ldap-nss.o ldap-grp.o ldap-pwd.o ldap-netgrp.o \
-+NSS_LDAP_OBJECTS =  ldap-nss.o ldap-grp.o ldap-pwd.o \
- ldap-schema.o util.o ltf.o snprintf.o resolve.o dnsconfig.o irs-nss.o \
--pagectrl.o aix_authmeth.o
-+pagectrl.o aix_authmeth.o bsdnss.o
+-nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c ldap-netgrp.c ldap-rpc.c \
+-	ldap-hosts.c ldap-network.c ldap-proto.c ldap-spwd.c \
+-	ldap-alias.c ldap-service.c ldap-schema.c ldap-ethers.c \
+-	ldap-bp.c ldap-automount.c util.c ltf.c snprintf.c resolve.c \
+-	dnsconfig.c irs-nss.c pagectrl.c ldap-sldap.c
+-
++nss_ldap_so_SOURCES = ldap-nss.c ldap-pwd.c ldap-grp.c \
++	ldap-schema.c utils.c ltf.c snprintf.c resolve.c \
++	dnsconfig.c irs-nss.c pagectrl.c bsdnss.c
+ 
+ NSS_LDAP_SOURCES = ldap-nss.c ldap-grp.c ldap-pwd.c ldap-netgrp.c ldap-schema.c \
+ 	util.c ltf.c snprintf.c resolve.c dnsconfig.c \
+-	irs-nss.c pagectrl.c aix_authmeth.c
++	irs-nss.c pagectrl.c aix_authmeth.c bsdnss.c
+ 
+ DEFS = @DEFS@
+ 
+@@ -137,19 +134,15 @@
+ 	ldap-pwd.$(OBJEXT) ldap-netgrp.$(OBJEXT) ldap-schema.$(OBJEXT) \
+ 	util.$(OBJEXT) ltf.$(OBJEXT) snprintf.$(OBJEXT) \
+ 	resolve.$(OBJEXT) dnsconfig.$(OBJEXT) irs-nss.$(OBJEXT) \
+-	pagectrl.$(OBJEXT) aix_authmeth.$(OBJEXT)
++	pagectrl.$(OBJEXT) aix_authmeth.$(OBJEXT) bsdnss.${OBJEXT}
+ NSS_LDAP_OBJECTS = $(am_NSS_LDAP_OBJECTS)
  NSS_LDAP_LDADD = $(LDADD)
- NSS_LDAP_DEPENDENCIES = 
- CFLAGS = @CFLAGS@
-@@ -148,32 +148,18 @@
- TAR = tar
- GZIP_ENV = --best
- DEP_FILES =  .deps/aix_authmeth.P .deps/dnsconfig.P .deps/irs-nss.P \
--.deps/ldap-alias.P .deps/ldap-automount.P .deps/ldap-bp.P \
--.deps/ldap-ethers.P .deps/ldap-grp.P .deps/ldap-hosts.P \
--.deps/ldap-netgrp.P .deps/ldap-network.P .deps/ldap-nss.P \
--.deps/ldap-proto.P .deps/ldap-pwd.P .deps/ldap-rpc.P \
--.deps/ldap-schema.P .deps/ldap-service.P .deps/ldap-spwd.P .deps/ltf.P \
--.deps/pagectrl.P .deps/resolve.P .deps/snprintf.P .deps/util.P
-+.deps/ldap-grp.P \
-+.deps/ldap-nss.P \
-+.deps/ldap-pwd.P \
-+.deps/ldap-schema.P .deps/ltf.P \
-+.deps/pagectrl.P .deps/resolve.P .deps/snprintf.P .deps/util.P \
-+.deps/bsdnss.P
- SOURCES = $(nss_ldap_so_SOURCES) $(NSS_LDAP_SOURCES)
- OBJECTS = $(nss_ldap_so_OBJECTS) $(NSS_LDAP_OBJECTS)
+ NSS_LDAP_DEPENDENCIES =
+ am_nss_ldap_so_OBJECTS = ldap-nss.$(OBJEXT) ldap-pwd.$(OBJEXT) \
+-	ldap-grp.$(OBJEXT) ldap-netgrp.$(OBJEXT) ldap-rpc.$(OBJEXT) \
+-	ldap-hosts.$(OBJEXT) ldap-network.$(OBJEXT) \
+-	ldap-proto.$(OBJEXT) ldap-spwd.$(OBJEXT) ldap-alias.$(OBJEXT) \
+-	ldap-service.$(OBJEXT) ldap-schema.$(OBJEXT) \
+-	ldap-ethers.$(OBJEXT) ldap-bp.$(OBJEXT) \
+-	ldap-automount.$(OBJEXT) util.$(OBJEXT) ltf.$(OBJEXT) \
++	ldap-grp.$(OBJEXT) ldap-schema.$(OBJEXT) \
++	util.$(OBJEXT) ltf.$(OBJEXT) \
+ 	snprintf.$(OBJEXT) resolve.$(OBJEXT) dnsconfig.$(OBJEXT) \
+-	irs-nss.$(OBJEXT) pagectrl.$(OBJEXT) ldap-sldap.$(OBJEXT)
++	irs-nss.$(OBJEXT) pagectrl.$(OBJEXT) bsdnss.$(OBJEXT)
+ nss_ldap_so_OBJECTS = $(am_nss_ldap_so_OBJECTS)
+ nss_ldap_so_LDADD = $(LDADD)
+ nss_ldap_so_DEPENDENCIES =
+@@ -159,17 +152,16 @@
+ LIBS = @LIBS@
+ depcomp = $(SHELL) $(top_srcdir)/depcomp
+ @AMDEP_TRUE@DEP_FILES = $(DEPDIR)/aix_authmeth.Po $(DEPDIR)/dnsconfig.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/irs-nss.Po $(DEPDIR)/ldap-alias.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-automount.Po $(DEPDIR)/ldap-bp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-ethers.Po $(DEPDIR)/ldap-grp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-hosts.Po $(DEPDIR)/ldap-netgrp.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-network.Po $(DEPDIR)/ldap-nss.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-proto.Po $(DEPDIR)/ldap-pwd.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-rpc.Po $(DEPDIR)/ldap-schema.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-service.Po $(DEPDIR)/ldap-sldap.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/ldap-spwd.Po $(DEPDIR)/ltf.Po \
++@AMDEP_TRUE@	$(DEPDIR)/irs-nss.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-grp.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-nss.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-pwd.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-schema.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ldap-sldap.Po \
++@AMDEP_TRUE@	$(DEPDIR)/ltf.Po \
+ @AMDEP_TRUE@	$(DEPDIR)/pagectrl.Po $(DEPDIR)/resolve.Po \
+-@AMDEP_TRUE@	$(DEPDIR)/snprintf.Po $(DEPDIR)/util.Po
++@AMDEP_TRUE@	$(DEPDIR)/snprintf.Po $(DEPDIR)/util.Po \
++@AMDEP_TRUE@	$(DEPDIR)/bsdnss.Po	
+ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
+ 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+ CCLD = $(CC)
+@@ -189,21 +181,21 @@
  
- all: all-redirect
  .SUFFIXES:
- .SUFFIXES: .S .c .o .s
--$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
--	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
--
--Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
--	cd $(top_builddir) \
--	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
+ .SUFFIXES: .c .o .obj
+-$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
+-	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --gnu  Makefile
+-Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
+-	cd $(top_builddir) && \
+-	  CONFIG_HEADERS= CONFIG_LINKS= \
+-	  CONFIG_FILES=$@ $(SHELL) ./config.status
 -
--$(ACLOCAL_M4):  configure.in 
--	cd $(srcdir) && $(ACLOCAL)
--
--config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+-$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 -	$(SHELL) ./config.status --recheck
--$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
+-$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
 -	cd $(srcdir) && $(AUTOCONF)
++#$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
++#	cd $(top_srcdir) && \
++#	  $(AUTOMAKE) --gnu  Makefile
++#Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
++#	cd $(top_builddir) && \
++#	  CONFIG_HEADERS= CONFIG_LINKS= \
++#	  CONFIG_FILES=$@ $(SHELL) ./config.status
++#
++#$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
++#	$(SHELL) ./config.status --recheck
++#$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
++#	cd $(srcdir) && $(AUTOCONF)
  
+-$(ACLOCAL_M4):  configure.in 
+-	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
++#$(ACLOCAL_M4):  configure.in 
++#	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  config.h: stamp-h
  	@if test ! -f $@; then \
+ 		rm -f stamp-h; \
+@@ -248,22 +240,11 @@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/aix_authmeth.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dnsconfig.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/irs-nss.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-alias.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-automount.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-bp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-ethers.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-grp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-hosts.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-netgrp.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-network.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-nss.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-proto.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-pwd.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-rpc.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-schema.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-service.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-sldap.Po@am__quote@
+-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ldap-spwd.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ltf.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pagectrl.Po@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/resolve.Po@am__quote@
diff -Nru nss_ldap.orig/files/patch-configure nss_ldap/files/patch-configure
--- nss_ldap.orig/files/patch-configure	Mon Sep 26 12:58:40 2005
+++ nss_ldap/files/patch-configure	Wed Mar 15 17:45:36 2006
@@ -1,49 +1,123 @@
---- configure.orig	Thu Jun 30 21:33:41 2005
-+++ configure	Thu Jun 30 21:49:20 2005
-@@ -1695,6 +1695,46 @@
- fi
+--- configure.orig	Fri Feb 24 08:02:50 2006
++++ configure	Thu Mar  2 02:34:29 2006
+@@ -3884,120 +3884,6 @@
  done
-  ;;
-+  freebsd*) for ac_hdr in nss.h
-+do
-+ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
-+echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
-+echo "configure:1663: checking for $ac_hdr" >&5
-+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
-+  echo $ac_n "(cached) $ac_c" 1>&6
-+else
-+  cat > conftest.$ac_ext <<EOF
-+#line 1668 "configure"
-+#include "confdefs.h"
-+#include <$ac_hdr>
-+EOF
-+ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-+{ (eval echo configure:1673: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
-+ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
-+if test -z "$ac_err"; then
-+  rm -rf conftest*
-+  eval "ac_cv_header_$ac_safe=yes"
-+else
-+  echo "$ac_err" >&5
-+  echo "configure: failed program was:" >&5
-+  cat conftest.$ac_ext >&5
-+  rm -rf conftest*
-+  eval "ac_cv_header_$ac_safe=no"
-+fi
-+rm -f conftest*
-+fi
-+if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
-+  echo "$ac_t""yes" 1>&6
-+    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
-+  cat >> confdefs.h <<EOF
-+#define $ac_tr_hdr 1
-+EOF
-+ 
-+else
-+  echo "$ac_t""no" 1>&6
-+fi
-+done
-+ ;;
-   *) for ac_hdr in nss.h
+ 
+ 
+-for ac_header in nsswitch.h
+-do
+-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo "$as_me:$LINENO: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-fi
+-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-else
+-  # Is the header compilable?
+-echo "$as_me:$LINENO: checking $ac_header usability" >&5
+-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+-cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-$ac_includes_default
+-#include <$ac_header>
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+-  (eval $ac_compile) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-         { ac_try='test -s conftest.$ac_objext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  ac_header_compiler=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-ac_header_compiler=no
+-fi
+-rm -f conftest.$ac_objext conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+-echo "${ECHO_T}$ac_header_compiler" >&6
+-
+-# Is the header present?
+-echo "$as_me:$LINENO: checking $ac_header presence" >&5
+-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+-cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-#include <$ac_header>
+-_ACEOF
+-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+-  ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } >/dev/null; then
+-  if test -s conftest.err; then
+-    ac_cpp_err=$ac_c_preproc_warn_flag
+-  else
+-    ac_cpp_err=
+-  fi
+-else
+-  ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
+-  ac_header_preproc=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
+-  ac_header_preproc=no
+-fi
+-rm -f conftest.err conftest.$ac_ext
+-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+-echo "${ECHO_T}$ac_header_preproc" >&6
+-
+-# So?  What about this header?
+-case $ac_header_compiler:$ac_header_preproc in
+-  yes:no )
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+-  no:yes )
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
+-esac
+-echo "$as_me:$LINENO: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  eval "$as_ac_Header=$ac_header_preproc"
+-fi
+-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-
+-fi
+-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+-  cat >>confdefs.h <<_ACEOF
+-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+-_ACEOF
+-
+-fi
+-
+-done
+-
+-
+ for ac_header in irs.h
  do
- ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`

-- 
Dmitriy Kirhlarov
OILspace, 26 Leninskaya sloboda, bld. 2, 2nd floor, 115280 Moscow, Russia
P:+7 495 105 7247 ext.203 F:+7 495 105 7246 E:DmitriyKirhlarov@oilspace.com
OILspace - The resource enriched - www.oilspace.com
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-03-24 05:49:23 UTC
Responsible Changed
From-To: nectar->freebsd-ports-bugs

Reset assignee; nectar is away from FreeBSD work at the moment.
Comment 5 Andrey Slusar freebsd_committer 2006-03-24 22:44:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anray

I'll take it.
Comment 6 Andrey Slusar freebsd_committer 2006-03-24 22:52:57 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!